Bug Hunting Session
Bug 53364 - Crash cutting or dragging block
Summary: Crash cutting or dragging block
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium critical
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.7.0 target:3.6.2
Keywords: regression
: 53710 54378 54663 54674 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-08-11 04:21 UTC by Dan Essin
Modified: 2012-09-09 09:03 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Offending block is on the right including the colored area and 2 cols to the left (9.00 KB, application/vnd.ms-excel)
2012-08-11 04:21 UTC, Dan Essin
Details
Crash Dump from OS X (66.57 KB, text/plain)
2012-08-11 04:25 UTC, Dan Essin
Details
Screenshot of selected block (339.02 KB, image/jpeg)
2012-08-11 19:40 UTC, Dan Essin
Details
Accessibility question (59.29 KB, text/plain)
2012-08-12 09:18 UTC, Dan Essin
Details
Crash log for bug 53364, LibO 3.6.1.1 on MacOS X 10.6.8 (Intel) (68.72 KB, text/plain)
2012-08-19 08:23 UTC, Roman Eisele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Essin 2012-08-11 04:21:01 UTC
Created attachment 65413 [details]
Offending block is on the right including the colored area and 2 cols to the left

Tried to select a drag a block of cells -> Crash with loss of much work
Tried again -> Crash
Tried again -> Crash
Tried to select block and cut -> Crash
Comment 1 Dan Essin 2012-08-11 04:25:02 UTC
Created attachment 65414 [details]
Crash Dump from OS X
Comment 2 Julien Nabet 2012-08-11 12:03:58 UTC
On pc Debian x86-64, with master sources (updated today) or 3.6 branch (updated 2 days ago), I haven't reproduced the crash.
Could you give a screenshot of the area you select (perhaps I missed/misunderstood something) ?
Does it happen only with this area ?

Did you try with a brand new LO profile (see http://wiki.documentfoundation.org/UserProfile) ? (backup yours before).
Comment 3 Dan Essin 2012-08-11 19:40:27 UTC
Created attachment 65444 [details]
Screenshot of selected block
Comment 4 Dan Essin 2012-08-11 19:43:29 UTC
OK - I deleted the profile and restarted
Then - I selected the block (see screenshot)
Then - I dragged the block two columns to the right
Then - I dragged the block 2 columns to the left
Then - 
Process:         soffice [15618]
Path:            /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         3.6.0.4 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [242]
User ID:         501

Date/Time:       2012-08-11 12:43:10.876 -0700
OS Version:      Mac OS X 10.8 (12A269)
Report Version:  10

Interval Since Last Report:          96433 sec
Crashes Since Last Report:           6
Per-App Crashes Since Last Report:   6
Anonymous UUID:                      F09952E7-7B15-4DE4-8F78-52019E97D6FC

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00000000422e6374

VM Regions Near 0x422e6374:
    MALLOC_LARGE           0000000023d8a000-000000002412c000 [ 3720K] rw-/rwx SM=PRV  
--> 
    __TEXT                 000000008fe7f000-000000008feb2000 [  204K] r-x/rwx SM=COW  /usr/lib/dyld

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsvllo.dylib                	0x00a94e36 SvtListenerIter::GoStart() + 38
1   libsvllo.dylib                	0x00a94397 SvtBroadcaster::Broadcast(SfxHint const&) + 55
2   libsclo.dylib                 	0x1dd51a30 ScDocument::Broadcast(ScHint const&) + 400
3   libsclo.dylib                 	0x1dd16548 ScColumn::DeleteRange(unsigned long, unsigned long, unsigned short) + 856
4   libsclo.dylib                 	0x1dd171d5 ScColumn::DeleteArea(long, long, unsigned short) + 405
5   libsclo.dylib                 	0x1de31c59 ScTable::DeleteArea(short, long, short, long, unsigned short) + 569
6   libsclo.dylib                 	0x1dd5f5de ScDocument::DeleteAreaTab(short, long, short, long, short, unsigned short) + 190
7   libsclo.dylib                 	0x1e0e7b47 ScDocFunc::MoveBlock(ScRange const&, ScAddress const&, unsigned char, unsigned char, unsigned char, unsigned char) + 5783
8   libsclo.dylib                 	0x1e45efea ScViewFunc::MoveBlockTo(ScRange const&, ScAddress const&, unsigned char, unsigned char, unsigned char, unsigned char) + 170
9   libsclo.dylib                 	0x1e3be1c5 ScGridWindow::DropTransferObj(ScTransferObj*, short, long, Point const&, signed char) + 4309
10  libsclo.dylib                 	0x1e3c44f8 ScGridWindow::ExecutePrivateDrop(ExecuteDropEvent const&) + 136
11  libsclo.dylib                 	0x1e3c456e ScGridWindow::ExecuteDrop(ExecuteDropEvent const&) + 94
12  libsvtlo.dylib                	0x00d63410 DropTargetHelper::DropTargetListener::drop(com::sun::star::datatransfer::dnd::DropTargetDropEvent const&) + 416
13  libvcllo.dylib                	0x01a48f2f DNDListenerContainer::fireDropEvent(com::sun::star::uno::Reference<com::sun::star::datatransfer::dnd::XDropTargetDropContext> const&, signed char, long, long, signed char, com::sun::star::uno::Reference<com::sun::star::datatransfer::XTransferable> const&) + 815
14  libvcllo.dylib                	0x01a46d15 DNDEventDispatcher::fireDropEvent(Window*, com::sun::star::uno::Reference<com::sun::star::datatransfer::dnd::XDropTargetDropContext> const&, signed char, Point const&, signed char, com::sun::star::uno::Reference<com::sun::star::datatransfer::XTransferable> const&) + 373
15  libvcllo.dylib                	0x01a47362 DNDEventDispatcher::drop(com::sun::star::datatransfer::dnd::DropTargetDropEvent const&) + 258
16  libvcllo.dylib                	0x01af09d5 DropTarget::fire_drop(com::sun::star::datatransfer::dnd::DropTargetDropEvent const&) + 117
17  libvcllo.dylib                	0x01af0bfa DropTarget::performDragOperation(objc_object*) + 410
18  libvcllo.dylib                	0x01aef83b -[DropTargetHelper performDragOperation:] + 27
19  libvcllo.dylib                	0x01b37bef -[SalFrameView performDragOperation:] + 47
20  com.apple.AppKit              	0x9552219f NSCoreDragReceiveMessageProc + 1487
21  com.apple.HIServices          	0x999abffe DoMultipartDropMessage + 351
22  com.apple.HIServices          	0x999abc48 DoDropMessage + 65
23  com.apple.HIServices          	0x999abbcb SendDropMessage + 43
24  com.apple.HIServices          	0x999af899 DragInApplication + 703
25  com.apple.HIServices          	0x999aeb98 CoreDragStartDragging + 517
26  com.apple.AppKit              	0x95522bea -[NSCoreDragManager _dragUntilMouseUp:accepted:] + 1221
27  com.apple.AppKit              	0x95524128 -[NSCoreDragManager dragImage:fromWindow:at:offset:event:pasteboard:source:slideBack:] + 1384
28  com.apple.AppKit              	0x9582cd94 -[NSWindow(NSDrag) dragImage:at:offset:event:pasteboard:source:slideBack:] + 142
29  com.apple.AppKit              	0x9582c259 -[NSView(NSDrag) dragImage:at:offset:event:pasteboard:source:slideBack:] + 152
30  libvcllo.dylib                	0x01aede01 DragSource::startDrag(com::sun::star::datatransfer::dnd::DragGestureEvent const&, signed char, long, long, com::sun::star::uno::Reference<com::sun::star::datatransfer::XTransferable> const&, com::sun::star::uno::Reference<com::sun::star::datatransfer::dnd::XDragSourceListener> const&) + 961
31  libsvtlo.dylib                	0x00d5456f TransferableHelper::StartDrag(Window*, signed char, long, long) + 335
32  libsclo.dylib                 	0x1e4133cc ScViewFunctionSet::BeginDrag() + 988
33  libvcllo.dylib                	0x01a87022 SelectionEngine::Command(CommandEvent const&) + 210
34  libsclo.dylib                 	0x1e3b28e2 ScGridWindow::StartDrag(signed char, Point const&) + 450
35  libsvtlo.dylib                	0x00d629b1 DragSourceHelper::DragGestureListener::dragGestureRecognized(com::sun::star::datatransfer::dnd::DragGestureEvent const&) + 65
36  libvcllo.dylib                	0x01a485af DNDListenerContainer::fireDragGestureEvent(signed char, long, long, com::sun::star::uno::Reference<com::sun::star::datatransfer::dnd::XDragSource> const&, com::sun::star::uno::Any const&) + 495
37  libvcllo.dylib                	0x01ad8056 ImplHandleMouseEvent(Window*, unsigned short, unsigned char, long, long, unsigned long, unsigned short, unsigned short) + 5222
38  libvcllo.dylib                	0x01ad8fc9 ImplWindowFrameProc(Window*, SalFrame*, unsigned short, void const*) + 3321
39  libvcllo.dylib                	0x01b3a1c8 -[SalFrameView sendMouseEventToFrame:button:eventtype:] + 520
40  libvcllo.dylib                	0x01b36421 -[SalFrameView mouseDragged:] + 113
41  com.apple.AppKit              	0x95293a11 -[NSWindow sendEvent:] + 7432
42  com.apple.AppKit              	0x9528e81f -[NSApplication sendEvent:] + 4278
43  libvcllo.dylib                	0x01b2c03c -[VCL_NSApplication sendEvent:] + 108
44  libvcllo.dylib                	0x01ae3a5d AquaSalInstance::Yield(bool, bool) + 1213
45  libvcllo.dylib                	0x017f9c60 Application::Yield(bool) + 96
46  libvcllo.dylib                	0x017f9d61 Application::Execute() + 97
47  libsofficeapp.dylib           	0x00078e44 desktop::Desktop::Main() + 6196
48  libvcllo.dylib                	0x01803252 ImplSVMain() + 354
49  libvcllo.dylib                	0x01ae2e0b AquaSalInstance::handleAppDefinedEvent(NSEvent*) + 75
50  libvcllo.dylib                	0x01b2c10b -[VCL_NSApplication sendEvent:] + 315
51  com.apple.AppKit              	0x951a873c -[NSApplication run] + 951
52  com.apple.AppKit              	0x9514b8e6 NSApplicationMain + 1053
53  libvcllo.dylib                	0x01ae43c7 ImplSVMainHook(int*) + 343
54  libvcllo.dylib                	0x018032e1 SVMain() + 17
55  libsofficeapp.dylib           	0x000a4e66 soffice_main + 262
56  org.libreoffice.script        	0x00001f0e main + 30
57  org.libreoffice.script        	0x00001872 _start + 216
58  org.libreoffice.script        	0x00001799 start + 41

Thread 1:
0   libsystem_kernel.dylib        	0x934178e2 __psynch_cvwait + 10
1   libsystem_c.dylib             	0x98312289 _pthread_cond_wait + 938
2   libsystem_c.dylib             	0x9839fb3c pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x000149c8 rtl_cache_wsupdate_all(void*) + 280
4   libsystem_c.dylib             	0x9830d557 _pthread_start + 344
5   libsystem_c.dylib             	0x982f7cee thread_start + 34

Thread 2:
0   libsystem_kernel.dylib        	0x934180ee __workq_kernreturn + 10
1   libsystem_c.dylib             	0x9831004c _pthread_workq_return + 45
2   libsystem_c.dylib             	0x9830fe19 _pthread_wqthread + 448
3   libsystem_c.dylib             	0x982f7cca start_wqthread + 30

Thread 3:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x934189ae kevent + 10
1   libdispatch.dylib             	0x9701acc5 _dispatch_mgr_invoke + 993
2   libdispatch.dylib             	0x9701a7fd _dispatch_mgr_thread + 53

Thread 4:
0   libsystem_kernel.dylib        	0x934180ee __workq_kernreturn + 10
1   libsystem_c.dylib             	0x9831004c _pthread_workq_return + 45
2   libsystem_c.dylib             	0x9830fe19 _pthread_wqthread + 448
3   libsystem_c.dylib             	0x982f7cca start_wqthread + 30

Thread 5:
0   libsystem_kernel.dylib        	0x93416eb6 __accept_nocancel + 10
1   libsystem_kernel.dylib        	0x93415e91 accept + 39
2   libuno_sal.dylib.3            	0x000077ba osl_acceptPipe + 58
3   libsofficeapp.dylib           	0x000a253e desktop::OfficeIPCThread::execute() + 46
4   libuno_salhelpergcc3.dylib.3  	0x004d3da2 salhelper::Thread::run() + 34
5   libuno_salhelpergcc3.dylib.3  	0x004d4152 threadFunc + 18
6   libuno_sal.dylib.3            	0x0000de82 osl_thread_start_Impl + 434
7   libsystem_c.dylib             	0x9830d557 _pthread_start + 344
8   libsystem_c.dylib             	0x982f7cee thread_start + 34

Thread 6:
0   libsystem_kernel.dylib        	0x934178e2 __psynch_cvwait + 10
1   libsystem_c.dylib             	0x98312289 _pthread_cond_wait + 938
2   libsystem_c.dylib             	0x9839fb08 pthread_cond_wait + 48
3   libuno_sal.dylib.3            	0x00031ac8 osl_waitCondition + 104
4   liblnglo.dylib                	0x1d3c8263 GrammarCheckingIterator::DequeueAndCheck() + 2515
5   libuno_sal.dylib.3            	0x0000de82 osl_thread_start_Impl + 434
6   libsystem_c.dylib             	0x9830d557 _pthread_start + 344
7   libsystem_c.dylib             	0x982f7cee thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x422e6370  ebx: 0x1dd518b1  ecx: 0xbfffd6e0  edx: 0x00000000
  edi: 0xbfffd6e0  esi: 0x22e63770  ebp: 0xbfffd6c8  esp: 0xbfffd6c8
   ss: 0x00000023  efl: 0x00210202  eip: 0x00a94e36   cs: 0x0000001b
   ds: 0x00000023   es: 0x00000023   fs: 0x00000000   gs: 0x0000000f
  cr2: 0x422e6374
Logical CPU: 2

Binary Images:
    0x1000 -     0x1ff7 +org.libreoffice.script (3.6.0.4 - ???) <F4A8D041-8B26-9639-91C9-8C7B5D3DF8E0> /Applications/LibreOffice.app/Contents/MacOS/soffice
    0x5000 -    0x44fff +libuno_sal.dylib.3 (0) <B9F1BFEC-F900-2538-CC30-61C6ADE29D14> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_sal.dylib.3
   0x64000 -    0xcafe7 +libsofficeapp.dylib (0) <58713119-C49D-FE58-C648-009C446B7634> /Applications/LibreOffice.app/Contents/MacOS/libsofficeapp.dylib
   0xfd000 -   0x21cfeb +libcomphelpgcc3.dylib (0) <FA22777E-F864-0F01-FDA7-E3CF131FD44E> /Applications/LibreOffice.app/Contents/MacOS/libcomphelpgcc3.dylib
  0x2f9000 -   0x32afef +libuno_cppu.dylib.3 (0) <7E473578-2F55-440F-CFA3-FB999C9BAB20> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_cppu.dylib.3
  0x33e000 -   0x408fff +libuno_cppuhelpergcc3.dylib.3 (0) <4BEFF06D-9033-7CCE-EC72-70B100B45D24> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_cppuhelpergcc3.dylib.3
  0x488000 -   0x4adfff +libdeploymentmisclo.dylib (0) <D38CAF9A-7F3C-0BC4-3AE3-A9326E1F757C> /Applications/LibreOffice.app/Contents/MacOS/libdeploymentmisclo.dylib
  0x4c9000 -   0x4cdff7 +libi18nisolang1gcc3.dylib (0) <DDFB8FA6-6C50-33B0-B989-1824663415E4> /Applications/LibreOffice.app/Contents/MacOS/libi18nisolang1gcc3.dylib
  0x4d2000 -   0x4d5ffb +libuno_salhelpergcc3.dylib.3 (0) <40B3A431-E05D-ACC9-B9BA-1443836450FF> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_salhelpergcc3.dylib.3
  0x4db000 -   0x83cfe3 +libsfxlo.dylib (0) <49D43E5C-092B-9CD4-9BB8-F6D01573E436> /Applications/LibreOffice.app/Contents/MacOS/libsfxlo.dylib
  0xa38000 -   0xaffff3 +libsvllo.dylib (0) <648094CE-FAB3-3A24-EBC3-6D38401B326E> /Applications/LibreOffice.app/Contents/MacOS/libsvllo.dylib
  0xb70000 -   0xe8dfe7 +libsvtlo.dylib (0) <CC1AA1D6-FCE7-2484-6A2F-DBD928603E99> /Applications/LibreOffice.app/Contents/MacOS/libsvtlo.dylib
 0x1068000 -  0x12bcfef +libtklo.dylib (0) <3862FD12-3B7C-BA66-B2C8-BAD66221A597> /Applications/LibreOffice.app/Contents/MacOS/libtklo.dylib
 0x1520000 -  0x1591ff3 +libtllo.dylib (0) <64EF87E9-0E4D-55CF-8FE5-61DCB1E9F29B> /Applications/LibreOffice.app/Contents/MacOS/libtllo.dylib
 0x15bb000 -  0x1617ffb +libucbhelper4gcc3.dylib (0) <F019A3F0-21D9-8099-C4A5-65C26F118C34> /Applications/LibreOffice.app/Contents/MacOS/libucbhelper4gcc3.dylib
 0x1658000 -  0x175afef +libutllo.dylib (0) <1DA7F9B4-0C99-BE60-C297-10A5E02C8D2F> /Applications/LibreOffice.app/Contents/MacOS/libutllo.dylib
 0x17e9000 -  0x1bbeff7 +libvcllo.dylib (0) <B14AE672-C657-7815-7DB0-75864F4869D8> /Applications/LibreOffice.app/Contents/MacOS/libvcllo.dylib
 0x1d5a000 -  0x1d6ffeb +libreg.dylib.3 (0) <8B2170E6-D3BF-C562-1049-0A5757AA6677> /Applications/LibreOffice.app/Contents/ure-link/lib/libreg.dylib.3
 0x1d78000 -  0x1d82ff3 +libxmlreader.dylib (0) <35AF34A2-66C9-A5F5-199B-ADF57EE0DDF5> /Applications/LibreOffice.app/Contents/ure-link/lib/libxmlreader.dylib
 0x1d88000 -  0x1da2ff3 +libstore.dylib.3 (0) <ACE94E6C-3F14-30AE-9BD8-158BCA881BD5> /Applications/LibreOffice.app/Contents/ure-link/lib/libstore.dylib.3
 0x1db1000 -  0x1e42feb +libxcrlo.dylib (0) <E5C43E2E-8095-0C2F-5C5A-DAC0F8BB735A> /Applications/LibreOffice.app/Contents/MacOS/libxcrlo.dylib
 0x1e85000 -  0x1fe6fe7 +libdb-4.7.dylib (0) <FD53B142-5B3D-56CD-5A27-E09384ABA3C6> /Applications/LibreOffice.app/Contents/MacOS/libdb-4.7.dylib
 0x1ffc000 -  0x208dffb +libbasegfxlo.dylib (0) <0215845B-21BB-2E04-68E2-642E6FB9BE96> /Applications/LibreOffice.app/Contents/MacOS/libbasegfxlo.dylib
 0x20c0000 -  0x2142fff +libfwelo.dylib (0) <9A1DA7AC-C3A7-FA7D-9279-41B305486BEE> /Applications/LibreOffice.app/Contents/MacOS/libfwelo.dylib
 0x218d000 -  0x21a6fe7 +libsaxlo.dylib (0) <2C1466CE-4540-A202-2793-EE04E2D9691A> /Applications/LibreOffice.app/Contents/MacOS/libsaxlo.dylib
 0x21b7000 -  0x2305fff +libsblo.dylib (0) <05E562DE-A9F9-A168-A636-0B0DCA7B71CF> /Applications/LibreOffice.app/Contents/MacOS/libsblo.dylib
 0x23ca000 -  0x2417feb +libsotlo.dylib (0) <B9174F72-457B-68DB-A137-2CEDF80296CF> /Applications/LibreOffice.app/Contents/MacOS/libsotlo.dylib
 0x2442000 -  0x2470ffb +libfwilo.dylib (0) <2A9238D6-471C-CB2D-AF95-81733D7F0905> /Applications/LibreOffice.app/Contents/MacOS/libfwilo.dylib
 0x248f000 -  0x2497fef +libi18nutilgcc3.dylib (0) <D4A7AC8F-42B0-7A45-BCD4-34B37B2DF1DD> /Applications/LibreOffice.app/Contents/MacOS/libi18nutilgcc3.dylib
 0x24ab000 -  0x24c2ff3 +libjvmfwk.dylib.3 (0) <2AA62FFA-E712-F86D-251E-F51E774CE18B> /Applications/LibreOffice.app/Contents/ure-link/lib/libjvmfwk.dylib.3
 0x24cd000 -  0x25ddff3 +libicuuc.dylib.49 (49.1.1) <89DC99AC-9106-0550-FDC6-3AE0BB4EA1C0> /Applications/LibreOffice.app/Contents/MacOS/libicuuc.dylib.49
 0x2637000 -  0x263bfff +libjvmaccessgcc3.dylib.3 (0) <1DE992AD-8B29-E283-6BB6-EDE16E4D324B> /Applications/LibreOffice.app/Contents/ure-link/lib/libjvmaccessgcc3.dylib.3
 0x2641000 -  0x266eff3 +libicule.dylib.49 (49.1.1) <4896B6B1-CD34-A1E9-7047-80D270876792> /Applications/LibreOffice.app/Contents/MacOS/libicule.dylib.49
 0x2683000 -  0x26b9fe7 +liblcms2.2.dylib (3.3) <CBD78A50-4772-567F-5BEF-916B7B3B2479> /Applications/LibreOffice.app/Contents/MacOS/liblcms2.2.dylib
 0x26d8000 -  0x27f0ff7 +libcairo.2.dylib (11003.2) <E3867ACD-96BC-0F01-4B68-30B621D6A9B2> /Applications/LibreOffice.app/Contents/MacOS/libcairo.2.dylib
 0x2834000 -  0x283aff7 +libAppleRemotelo.dylib (0) <D848BE56-B679-531A-8F3E-08B41A0EBA1F> /Applications/LibreOffice.app/Contents/MacOS/libAppleRemotelo.dylib
 0x2842000 -  0x3961ff7 +libicudata.dylib.49 (49.1.1) <8E93F4EC-A83A-462F-6FFE-A7283E8F170A> /Applications/LibreOffice.app/Contents/MacOS/libicudata.dylib.49
 0x3f88000 -  0x3f94fff +libgcc3_uno.dylib (0) <7BDD1ACF-D235-3A1E-C7AE-BD1C9A17F00A> /Applications/LibreOffice.app/Contents/ure-link/lib/libgcc3_uno.dylib
 0x3fd1000 -  0x3fd6ff7 +com.eltima.FolxIM (1.6) <823316BC-8791-FAE4-9491-C9E363A5B00A> /Library/InputManagers/*/FolxIM.bundle/Contents/MacOS/FolxIM
 0x5c00000 -  0x5ccbff7 +bootstrap.uno.dylib (0) <0DBF0136-43B7-B8A8-6357-C8873734327A> /Applications/LibreOffice.app/Contents/ure-link/lib/bootstrap.uno.dylib
 0x5e5e000 -  0x5e76ff3 +stocservices.uno.dylib (0) <4A4D95A9-6658-9341-7523-19B51A87F01B> /Applications/LibreOffice.app/Contents/ure-link/lib/stocservices.uno.dylib
 0x5e95000 -  0x5ea2ffb  com.apple.Librarian (1.1 - 1) <C8D82AA3-AE5E-3B6D-A8D1-847856057186> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
 0x5fb9000 -  0x5fc7fff  com.apple.iokit.IOHIDLib (1.8.0 - 1.8.0) <36605EA4-D103-3EAC-957A-C1B1D5EB4E31> /System/Library/Extensions/IOHIDFamily.kext/Contents/PlugIns/IOHIDLib.plugin/Contents/MacOS/IOHIDLib
 0x829b000 -  0x83b9ff3  com.apple.WebKit (8536 - 8536.25) <5365AA39-A1A7-315D-AA1C-0C564909C0E0> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
 0x926d000 -  0x9ef7ff3  com.apple.WebCore (8536 - 8536.24) <06F7EC1E-A7F2-37F1-ADC6-687284E661D8> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
 0xbd4b000 -  0xbde4ffb +configmgr.uno.dylib (0) <C4C452E2-0612-391C-0FFB-FA437D13B4CE> /Applications/LibreOffice.app/Contents/MacOS/configmgr.uno.dylib
 0xc730000 -  0xc737ff3 +localebe1.uno.dylib (0) <4CEE3D70-99C6-F78B-C4E5-AAEB30AFC86B> /Applications/LibreOffice.app/Contents/MacOS/localebe1.uno.dylib
 0xc757000 -  0xc75dffb +libspllo.dylib (0) <2EC7C3FD-96A5-B29B-9DAC-60F70C073B1F> /Applications/LibreOffice.app/Contents/MacOS/libspllo.dylib
 0xc797000 -  0xc79fffb +macbe1.uno.dylib (0) <F5D68D0E-6D8D-84C6-7259-FC0EF91BC5AC> /Applications/LibreOffice.app/Contents/MacOS/macbe1.uno.dylib
 0xc84a000 -  0xc9c4ff7 +i18npool.uno.dylib (0) <77255056-4C12-9A48-EBBD-3866C78720F0> /Applications/LibreOffice.app/Contents/MacOS/i18npool.uno.dylib
 0xca53000 -  0xcbc0fe3 +libicui18n.dylib.49 (49.1.1) <0E107A7F-D029-34B5-32DE-9D19BA0B61BA> /Applications/LibreOffice.app/Contents/MacOS/libicui18n.dylib.49
 0xce56000 -  0xce8cff7 +libhelplinkerlo.dylib (0) <E8F02908-5B3E-E030-8369-8A51C1860F4D> /Applications/LibreOffice.app/Contents/MacOS/libhelplinkerlo.dylib
 0xce9e000 -  0xcea3ff3 +ucpexpand1.uno.dylib (0) <D3C8B44F-C4D8-A48B-0E16-30496037F633> /Applications/LibreOffice.app/Contents/MacOS/ucpexpand1.uno.dylib
 0xd02b000 -  0xd078fe7 +libucb1.dylib (0) <1F204229-601A-6EA2-13EE-BCE704A0B38A> /Applications/LibreOffice.app/Contents/MacOS/libucb1.dylib
 0xd0a4000 -  0xd31cfff +libfwklo.dylib (0) <0F21A974-D9CD-B788-8D72-66C664E04FAE> /Applications/LibreOffice.app/Contents/MacOS/libfwklo.dylib
 0xd475000 -  0xd4d0feb +libucpfile1.dylib (0) <C5240A35-70CD-41EF-FC19-02527BFFE281> /Applications/LibreOffice.app/Contents/MacOS/libucpfile1.dylib
 0xd52e000 -  0xd57efe3 +libfilterconfiglo.dylib (0) <AD64115C-0335-EEF2-B0C1-E888EC96EB58> /Applications/LibreOffice.app/Contents/MacOS/libfilterconfiglo.dylib
0x115a2000 - 0x115a3ff7 +cStringIO.so (???) <D33E221F-7564-3D15-E5D2-E0ACD9009B3C> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/cStringIO.so
0x1162e000 - 0x1178ffe3 +libsal_textenc.dylib (0) <225A9F4B-64B3-F5BB-3089-9A3FEF48B9C5> /Applications/LibreOffice.app/Contents/ure-link/lib/libsal_textenc.dylib
0x118d0000 - 0x118edfff +libavmedialo.dylib (0) <676BC809-AC6A-722B-748D-0A7D1A206538> /Applications/LibreOffice.app/Contents/MacOS/libavmedialo.dylib
0x11a45000 - 0x11a4cff7 +libmcnttype.dylib (0) <0A2B4F63-6813-A5F3-FA25-FE505657ECC3> /Applications/LibreOffice.app/Contents/MacOS/libmcnttype.dylib
0x11a56000 - 0x11a5bfff +pythonloader.uno.dylib (0) <F0A24FFD-97F2-80B0-20AA-723B715B5052> /Applications/LibreOffice.app/Contents/MacOS/pythonloader.uno.dylib
0x11e0f000 - 0x12004ff3 +libsvxlo.dylib (0) <62C3A07F-1E64-B58C-5EFC-7C7D1792C9AC> /Applications/LibreOffice.app/Contents/MacOS/libsvxlo.dylib
0x12190000 - 0x121baff3 +libcanvastoolslo.dylib (0) <8FE4068A-D023-BCA5-F9A2-02E023210879> /Applications/LibreOffice.app/Contents/MacOS/libcanvastoolslo.dylib
0x1c045000 - 0x1c129fff +libdrawinglayerlo.dylib (0) <ED1F6EBE-B387-CDDB-1185-A8C97FB821C9> /Applications/LibreOffice.app/Contents/MacOS/libdrawinglayerlo.dylib
0x1c1b0000 - 0x1c333fe7 +libeditenglo.dylib (0) <03EC9548-1227-A889-BDF3-BFC739B34264> /Applications/LibreOffice.app/Contents/MacOS/libeditenglo.dylib
0x1c433000 - 0x1c998feb +libsvxcorelo.dylib (0) <160B0AA4-CF17-0964-427D-D0134A301838> /Applications/LibreOffice.app/Contents/MacOS/libsvxcorelo.dylib
0x1cdb3000 - 0x1d14efff +libxolo.dylib (0) <997CB219-E279-C3DE-80B2-81ABF203F36B> /Applications/LibreOffice.app/Contents/MacOS/libxolo.dylib
0x1d318000 - 0x1d369ffb +libcppcanvaslo.dylib (0) <D16535C0-C230-5C4D-DB42-FB57E93DCD32> /Applications/LibreOffice.app/Contents/MacOS/libcppcanvaslo.dylib
0x1d39c000 - 0x1d417feb +liblnglo.dylib (0) <E8A7D6C5-A18E-E141-57C0-300718B85896> /Applications/LibreOffice.app/Contents/MacOS/liblnglo.dylib
0x1d473000 - 0x1d4ebff3 +libpackage2.dylib (0) <F38D6476-92EB-FA7D-BA51-A4E1D14CE474> /Applications/LibreOffice.app/Contents/MacOS/libpackage2.dylib
0x1d52e000 - 0x1d577ffb +libuuilo.dylib (0) <BDE69679-EAF0-7CF1-949B-4ECA2F87DBEC> /Applications/LibreOffice.app/Contents/MacOS/libuuilo.dylib
0x1d5a3000 - 0x1d5b6fe3 +liblocaledata_en.dylib (0) <A89C8109-CBAB-49FC-9B54-3F4BEEE5BA7B> /Applications/LibreOffice.app/Contents/MacOS/liblocaledata_en.dylib
0x1dcd6000 - 0x1e58dfeb +libsclo.dylib (0) <69E20596-871F-753B-088B-B51C0BB4A182> /Applications/LibreOffice.app/Contents/MacOS/libsclo.dylib
0x1ea76000 - 0x1ea8cfe3 +libforlo.dylib (0) <760E7074-EECA-B6B6-A84C-1EEBFB99A22D> /Applications/LibreOffice.app/Contents/MacOS/libforlo.dylib
0x1eaa0000 - 0x1eab8ff7 +libforuilo.dylib (0) <D3638DA7-CA92-1929-64B9-AF7DB33ED92E> /Applications/LibreOffice.app/Contents/MacOS/libforuilo.dylib
0x1ead2000 - 0x1eb75ff3 +libvbahelperlo.dylib (0) <5F0EB793-C2A6-1A61-3FED-8744F52F2EF3> /Applications/LibreOffice.app/Contents/MacOS/libvbahelperlo.dylib
0x1ebf3000 - 0x1ec8bff7 +libmsfilterlo.dylib (0) <50D49994-218C-18F1-EA71-F0CFE9AEC99A> /Applications/LibreOffice.app/Contents/MacOS/libmsfilterlo.dylib
0x1eda7000 - 0x1edc8ff7 +reflection.uno.dylib (0) <F88FF4BA-A3E3-E4B3-6380-BC37DF39A78F> /Applications/LibreOffice.app/Contents/ure-link/lib/reflection.uno.dylib
0x1ef6c000 - 0x1f2e5fe7 +libscfiltlo.dylib (0) <31ABEDB8-5596-C076-0860-1B3CA1FAB3A8> /Applications/LibreOffice.app/Contents/MacOS/libscfiltlo.dylib
0x1f4f8000 - 0x1f8dffff +libooxlo.dylib (0) <D5A922C3-46DD-4745-A947-B19D072A37BE> /Applications/LibreOffice.app/Contents/MacOS/libooxlo.dylib
0x1fc9e000 - 0x1fcc0ffe  libssl.0.9.7.dylib (106) <FC1F6C04-EAD3-39D1-8E25-B1192E89D98B> /usr/lib/libssl.0.9.7.dylib
0x1fcce000 - 0x1fd79fff  libcrypto.0.9.7.dylib (106) <041B3399-5033-3395-9A71-6693F3A33D94> /usr/lib/libcrypto.0.9.7.dylib
0x2067f000 - 0x206dcfe7 +libunoxmllo.dylib (0) <EFF3B1E6-BE5F-4BA8-A02B-17371AE9AFF4> /Applications/LibreOffice.app/Contents/MacOS/libunoxmllo.dylib
0x20793000 - 0x2084afef +libxstor.dylib (0) <42E69080-4F9C-15F7-EA1C-5C5FA40D4CBF> /Applications/LibreOffice.app/Contents/MacOS/libxstor.dylib
0x2088a000 - 0x2089cff7 +libfileacc.dylib (0) <EB27C732-A9CB-DF31-DEC9-5C97CAD60ECF> /Applications/LibreOffice.app/Contents/MacOS/libfileacc.dylib
0x208cc000 - 0x208fcff7 +expwrap.uno.dylib (0) <0CF5AC9F-9E9F-9D87-1221-ECB9640BD1D2> /Applications/LibreOffice.app/Contents/MacOS/expwrap.uno.dylib
0x20942000 - 0x20b4aff7 +libfrmlo.dylib (0) <10ED4937-8066-DF41-4B00-BF2A2ACA6C57> /Applications/LibreOffice.app/Contents/MacOS/libfrmlo.dylib
0x20cfd000 - 0x20e3fff3 +libdbtoolslo.dylib (0) <8E5DA7E4-80F3-53C9-70F1-47A1D45A0BFE> /Applications/LibreOffice.app/Contents/MacOS/libdbtoolslo.dylib
0x20f17000 - 0x20f42ff7 +introspection.uno.dylib (0) <8508C27F-F03E-7DD8-5F56-3494A0FA4645> /Applications/LibreOffice.app/Contents/ure-link/lib/introspection.uno.dylib
0x20f5a000 - 0x20f6aff7 +libevtattlo.dylib (0) <2132F55F-7407-A79A-CBD5-136C4421B873> /Applications/LibreOffice.app/Contents/MacOS/libevtattlo.dylib
0x210b4000 - 0x210dfff7 +fsstorage.uno.dylib (0) <2AFC6183-AD86-AF52-5248-2C7A4D0E76A1> /Applications/LibreOffice.app/Contents/MacOS/fsstorage.uno.dylib
0x215b8000 - 0x2167aff3 +libdeployment.dylib (0) <09D66F1E-A49A-8A5B-103E-AC2A49B0A448> /Applications/LibreOffice.app/Contents/MacOS/libdeployment.dylib
0x21712000 - 0x21859ff3 +libclucene.dylib (0) <50116CAF-0993-4A46-EF49-5DD86774659A> /Applications/LibreOffice.app/Contents/MacOS/libclucene.dylib
0x21a4f000 - 0x21a88ff7 +libspelllo.dylib (0) <1A42C073-27E2-C805-963E-7AC575D0C23E> /Applications/LibreOffice.app/Contents/MacOS/libspelllo.dylib
0x21ac2000 - 0x21acfff3 +libMacOSXSpelllo.dylib (0) <061A7411-B453-962C-2171-53215986D2D3> /Applications/LibreOffice.app/Contents/MacOS/libMacOSXSpelllo.dylib
0x21aee000 - 0x21af5ff7 +_socket.so (???) <346F5B27-21E7-793B-73D7-53D2490CD92C> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/_socket.so
0x226e6000 - 0x226f1fe3 +invocadapt.uno.dylib (0) <34B21809-E5A9-D141-FA9F-013473167513> /Applications/LibreOffice.app/Contents/ure-link/lib/invocadapt.uno.dylib
0x22800000 - 0x22838feb +libpyuno.dylib (0) <BCEFB1E3-7680-27B6-2A9B-63623465D500> /Applications/LibreOffice.app/Contents/MacOS/libpyuno.dylib
0x22856000 - 0x229a5fff +OOoPython (2.6) <0D598E1C-5746-B161-2201-CA8437B5D96B> /Applications/LibreOffice.app/Contents/MacOS/OOoPython.framework/Versions/2.6/OOoPython
0x22b26000 - 0x22b40fff +invocation.uno.dylib (0) <CC6B3905-B5AB-1C10-3123-D2ED8D5BB752> /Applications/LibreOffice.app/Contents/ure-link/lib/invocation.uno.dylib
0x22b51000 - 0x22b55ff7 +_ssl.so (???) <D86C8BFE-6F1E-8C89-912A-AABDFD8E6D8D> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/_ssl.so
0x22c2a000 - 0x22c2dff7 +strop.so (???) <CC914447-0CA3-2F3A-2AC1-8F64D03C6207> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/strop.so
0x22c32000 - 0x22c37ff7 +array.so (???) <C20A7BBC-CA10-163B-B3A6-BEB8108B95C6> /Applications/LibreOffice.app/Contents/program/OOoPython.framework/Versions/2.6/lib/python2.6/lib-dynload/array.so
0x22c5d000 - 0x22c70fff +libhyphenlo.dylib (0) <F2EA1E53-CAAD-4ED9-2247-CC45B05A2F84> /Applications/LibreOffice.app/Contents/MacOS/libhyphenlo.dylib
0x22c8f000 - 0x22ca3ffb +liblnthlo.dylib (0) <7777688B-65E9-75C8-0AF5-D7C0A29AA179> /Applications/LibreOffice.app/Contents/MacOS/liblnthlo.dylib
0x8fe7f000 - 0x8feb1e57  dyld (210.2.3) <23516BE4-29BE-350C-91C9-F36E7999F0F1> /usr/lib/dyld
0x90007000 - 0x9025efff  com.apple.JavaScriptCore (8536 - 8536.24) <361AF27F-4E6B-3D86-B363-95DED1D56981> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x9025f000 - 0x902adffb  libFontRegistry.dylib (100) <3B8350C2-4D8F-38C4-A22E-2F855D7E83D1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x90b2b000 - 0x90b2bfff  com.apple.ApplicationServices (45 - 45) <677C4ACC-9D12-366F-8A87-B898AC806DD9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x90b34000 - 0x90cacff5  com.apple.QuartzCore (1.8 - 304.0) <0B0EC55A-9084-3E28-9A84-1813CE3FAA9B> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x90cad000 - 0x910efff3  com.apple.CoreGraphics (1.600.0 - 322) <2E04AAAD-8403-3819-BD6C-9836D42F58B1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x91fd2000 - 0x92038fff  com.apple.print.framework.PrintCore (8.0 - 387) <84DFC4F0-3186-3C59-9EBD-9EF2C3561A43> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x92039000 - 0x92190ff7  com.apple.audio.toolbox.AudioToolbox (1.8 - 1.8) <6856CA9B-BF08-341B-AEE9-91CC258D4534> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x921b7000 - 0x921d4ff7  libresolv.9.dylib (51) <B9742A2A-DF15-3F6E-8FCE-778A58214B3A> /usr/lib/libresolv.9.dylib
0x921d5000 - 0x9226ffff  com.apple.CoreSymbolication (3.0 - 87) <6A27BBE5-6EF0-3D5D-A485-2145826B9796> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
0x92270000 - 0x92274ff7  libmacho.dylib (829) <5280A013-4F74-3F74-BE0C-7F612C49F1DC> /usr/lib/system/libmacho.dylib
0x92275000 - 0x92275fff  com.apple.Cocoa (6.7 - 19) <354094F0-F36B-36F9-BF5F-FD60590FBEB9> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x92276000 - 0x9228ffff  com.apple.Kerberos (2.0 - 1) <9BDE8F4D-DBC3-34D1-852C-898D3655A611> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x92290000 - 0x92299ffd  com.apple.audio.SoundManager (4.0 - 4.0) <ABC5FE40-B222-36EB-9905-5C8C4BFD8C87> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x9229a000 - 0x9229bfff  libsystem_sandbox.dylib (220) <4E42390B-25EC-3530-AF01-337E430C16EB> /usr/lib/system/libsystem_sandbox.dylib
0x9229c000 - 0x922bcff7  com.apple.ChunkingLibrary (2.0 - 132) <172C3F7F-CB49-323F-932F-35340999979E> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
0x922bd000 - 0x922bdfff  com.apple.Accelerate.vecLib (3.8 - vecLib 3.8) <908B8D40-3FB5-3047-B482-3DF95025ECFC> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x922be000 - 0x922e0ff3  libc++abi.dylib (24.2) <4C064BFE-B8B4-35CA-AB3C-F6A47D47A0F2> /usr/lib/libc++abi.dylib
0x922e1000 - 0x9238bff7  com.apple.LaunchServices (539 - 539) <4C026504-5420-35D7-912E-A584C6F9FFC6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9238c000 - 0x923aaffb  com.apple.Ubiquity (1.2 - 234.2) <BEFF43DE-CF72-3E66-90C8-CAECAFD5F3ED> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
0x923ab000 - 0x923e6fe7  libGLImage.dylib (8.5) <E5F2D8DE-3053-361A-982B-9BB2AE73E324> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x923e7000 - 0x923effff  com.apple.CommerceCore (1.0 - 26) <AF0D1990-8CBF-3AB4-99DF-8B7AE14FB0D5> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
0x923f0000 - 0x92454fff  com.apple.datadetectorscore (4.0 - 269.1) <4D155F09-1A60-325A-BCAC-1B858C2C051B> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x92455000 - 0x92465ff2  com.apple.LangAnalysis (1.7.0 - 1.7.0) <875363E7-6D02-3229-A9DD-E5A5568A7D61> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x92466000 - 0x924a7ff7  libcups.2.dylib (327) <F46F8703-FEAE-3442-87CB-45C8BF98BEE5> /usr/lib/libcups.2.dylib
0x924a8000 - 0x92540ff7  com.apple.CoreServices.OSServices (557 - 557) <219C11A8-8446-336E-B518-F52D1571420F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x925a3000 - 0x925aaff3  com.apple.NetFS (5.0 - 4.0) <1F7041F2-4E97-368C-8F5D-24153D81BBDB> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x925ab000 - 0x9260dfff  libc++.1.dylib (65.1) <C0CFF9FF-5D52-3EAE-B921-6AE1DA00A135> /usr/lib/libc++.1.dylib
0x9260e000 - 0x9261aff8  libbz2.1.0.dylib (29) <7031A4C0-784A-3EAA-93DF-EA1F26CC9264> /usr/lib/libbz2.1.0.dylib
0x926e1000 - 0x926fefff  com.apple.openscripting (1.3.5 - 148) <3460338D-B686-3C33-B322-DC8391668F8A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92735000 - 0x92b17ff7  com.apple.HIToolbox (2.0 - 624) <04C20B6A-FE3D-396E-BCAF-AC4DBAB3747E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x92b7f000 - 0x92b81fff  com.apple.securityhi (4.0 - 55002) <62E3AE75-61CB-341E-B2A0-CFC985A2BF7F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92f7f000 - 0x92f80fff  libDiagnosticMessagesClient.dylib (7) <B2BC685E-C129-3F6B-9222-AF3CF4F186AC> /usr/lib/libDiagnosticMessagesClient.dylib
0x92f81000 - 0x92faafff  libxslt.1.dylib (11.3) <0DE17DAA-66FF-3195-AADB-347BEB5E2EFA> /usr/lib/libxslt.1.dylib
0x92fad000 - 0x92fd2ff7  com.apple.CoreVideo (1.8 - 99.0) <7A90C337-4493-3393-9C56-75EB52112D75> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x92fd3000 - 0x93264ffb  com.apple.CoreImage (8.0.17 - 1.0.1) <CE54EC11-1C41-3857-B82D-F8B7D1798F42> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
0x93268000 - 0x9326ffff  liblaunch.dylib (442.21) <349330F8-1BBF-3B78-AFB2-4F32413CE971> /usr/lib/system/liblaunch.dylib
0x93270000 - 0x932b5ff5  com.apple.opencl (2.1.17 - 2.1.17) <921C1549-637A-33D7-A891-834FB9F582C7> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x932e7000 - 0x9330bfff  com.apple.PerformanceAnalysis (1.16 - 16) <18DE0F9F-1264-394D-AC56-6B2A1771DFBE> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
0x9330c000 - 0x9337bffb  com.apple.Heimdal (3.0 - 2.0) <1ABF438B-30E6-3165-968C-E2EA1A9DF1FD> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
0x933ab000 - 0x933eaff7  com.apple.bom (12.0 - 192) <0637E52C-D151-37B3-904F-8656B2FD44DD> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
0x933eb000 - 0x933feff9  com.apple.MultitouchSupport.framework (235.27 - 235.27) <75D9C0FD-6A40-3A9E-8861-C74DBE137CF3> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x93403000 - 0x9341dffc  libsystem_kernel.dylib (2050.7.9) <81E269C6-0F96-3075-9589-D35657D23CDD> /usr/lib/system/libsystem_kernel.dylib
0x9341e000 - 0x9341ffff  libquarantine.dylib (52) <D526310F-DC77-37EA-8F5F-83928EFA3262> /usr/lib/system/libquarantine.dylib
0x93423000 - 0x936e0ff3  com.apple.security (7.0 - 55163.44) <798A1E51-3030-35BD-B5E6-4B6F65469357> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x936e1000 - 0x936f6fff  com.apple.speech.synthesis.framework (4.1.10 - 4.1.10) <20E394D6-D9BA-3C1D-993A-533B60EF3B63> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x936f7000 - 0x936f7fff  libsystem_blocks.dylib (59) <3A743C5D-CFA5-37D8-80A8-B6795A9DB04F> /usr/lib/system/libsystem_blocks.dylib
0x936f8000 - 0x937e9ffc  libiconv.2.dylib (34) <B096A9B7-83A6-31B3-8D2F-87D91910BF4C> /usr/lib/libiconv.2.dylib
0x937ea000 - 0x93836fff  libcorecrypto.dylib (106) <FAAD1A30-0D84-3A17-AC40-288EF0F529AA> /usr/lib/system/libcorecrypto.dylib
0x93837000 - 0x938d7ff7  com.apple.QD (3.42 - 285) <1B8307C6-AFA8-312E-BA5B-679070EF2CA1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x93908000 - 0x93925fff  libCRFSuite.dylib (33) <C9D72D0C-871A-39A2-8AFB-682D11AE7D0D> /usr/lib/libCRFSuite.dylib
0x93930000 - 0x93932fff  libdyld.dylib (210.2.3) <05D6FF2A-F09B-309D-95F7-7AF10259C707> /usr/lib/system/libdyld.dylib
0x93b9d000 - 0x93c19ffb  com.apple.Metadata (10.7.0 - 707.1) <E18350AD-CAA9-3323-BDE9-63A688792C6C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x93c74000 - 0x93c74fff  libSystem.B.dylib (169.3) <81C58EAB-0E76-3EAB-BDFD-C5A6FE95536F> /usr/lib/libSystem.B.dylib
0x93c75000 - 0x93c87fff  libbsm.0.dylib (32) <DADD385E-FE53-3458-94FB-E316A6345108> /usr/lib/libbsm.0.dylib
0x93c88000 - 0x93cb4ff7  libsystem_info.dylib (406.17) <AA5611DB-A944-3072-B6BE-ACAB08689547> /usr/lib/system/libsystem_info.dylib
0x93cb5000 - 0x93cc2ff7  com.apple.AppleFSCompression (49 - 1.0) <166AA1F8-E50A-3533-A3B5-8737C5118CC3> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
0x93cc3000 - 0x93cf0ffb  com.apple.CoreServicesInternal (153 - 153) <DB105788-CCF5-3678-88C5-65A7267DC581> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
0x93d17000 - 0x93d17fff  com.apple.vecLib (3.8 - vecLib 3.8) <83160DD1-5614-3E34-80EB-97041016EF1F> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x93d2f000 - 0x93d3cfff  libGL.dylib (8.5) <930067EA-F131-336E-BE31-49DD7F6DFB81> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x93df2000 - 0x93df6fff  com.apple.OpenDirectory (10.8 - 151.10) <A1858D81-086F-3BF5-87E3-9B70409FFDF6> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x93df7000 - 0x93dfaffb  com.apple.TCC (1.0 - 1) <C1B2A1EB-9EA2-3340-8611-F788C87A951F> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
0x93e62000 - 0x93e65fff  com.apple.help (1.3.2 - 42) <AD7EB1F0-A068-3A2C-9D59-38E59CEC0D96> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x93e66000 - 0x93ef8ffb  libvMisc.dylib (380.6) <6DA3A03F-20BE-300D-A664-B50A7B4E4B1A> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x94027000 - 0x940d5ff3  com.apple.CoreText (260.0 - 275.14) <3CC31B7F-5560-364A-ADFC-31861C3C2328> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
0x94368000 - 0x943c3fff  com.apple.htmlrendering (77 - 1.1.4) <5C0C669F-AE07-3983-B38F-EB829B5CE609> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x943c4000 - 0x943d0ff7  com.apple.NetAuth (4.0 - 4.0) <4983C4B8-9D95-3C4D-897E-07743326487E> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
0x943d1000 - 0x943d1fff  com.apple.CoreServices (57 - 57) <956C6C6D-A5DD-314F-9C57-4A61D41F30CE> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x943d2000 - 0x943e0ff3  libsystem_network.dylib (77.10) <7FBF5A15-97BA-3721-943E-E77F0C40DBE1> /usr/lib/system/libsystem_network.dylib
0x943e1000 - 0x944dfff7  libFontParser.dylib (84.5) <B3006327-7B2D-3966-A56A-BD85F1D71641> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x944e0000 - 0x944e3ffc  libpam.2.dylib (20) <FCF74195-A99E-3B07-8E49-688D4A6F1E18> /usr/lib/libpam.2.dylib
0x944e4000 - 0x9453efff  com.apple.Symbolication (1.3 - 93) <684ECF0D-D416-3DF8-8B5B-3902953853A8> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
0x9453f000 - 0x94570ff7  com.apple.DictionaryServices (1.2 - 184) <9199E88F-2477-3596-9F56-B8E317A7164D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x94571000 - 0x9457bfff  libCSync.A.dylib (322) <CD2707A0-48EB-30C5-8431-460663D44A91> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9457c000 - 0x945afff3  com.apple.GSS (3.0 - 2.0) <B1D719C1-B000-3BE3-B747-329D608585DD> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
0x945b0000 - 0x945ffff6  libTIFF.dylib (843) <AA81BA16-8026-35DA-8193-2C8715ACD435> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x94600000 - 0x9491dfff  com.apple.Foundation (6.8 - 945) <B6F00754-C3F7-3E33-B708-CCEA2AA3E969> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x9491e000 - 0x94b98ff3  com.apple.RawCamera.bundle (3.14.2 - 644) <3A5383AC-F30A-3674-88F4-DF82ADE8D73E> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x94b99000 - 0x94c82ff7  libxml2.2.dylib (22.3) <015A4FA6-5BB9-3F95-AFB8-B9281E22685B> /usr/lib/libxml2.2.dylib
0x94c83000 - 0x94cb8fff  libTrueTypeScaler.dylib (84.5) <2598F930-5E6B-37D7-B1E6-18181A972C6E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x94cb9000 - 0x94cc1fff  libcopyfile.dylib (89) <4963541B-0254-371B-B29A-B6806888949B> /usr/lib/system/libcopyfile.dylib
0x94cc2000 - 0x94ccdfff  libcommonCrypto.dylib (60026) <A6C6EDB8-7E69-3827-81F3-9A74D0935461> /usr/lib/system/libcommonCrypto.dylib
0x94cce000 - 0x94ce3fff  com.apple.ImageCapture (8.0 - 8.0) <B8BD421F-D5A9-3FB4-8E89-AD5CFC0D4030> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x94ce4000 - 0x94d48ff3  libstdc++.6.dylib (56) <F8FA490A-8F3C-3645-ABF5-78926CE9C62C> /usr/lib/libstdc++.6.dylib
0x94d49000 - 0x9504efff  com.apple.CoreServices.CarbonCore (1037 - 1037) <92494ADA-2ED1-3141-81B9-23F2C27E779C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9504f000 - 0x95c08fff  com.apple.AppKit (6.8 - 1187) <5E13B150-4096-3B61-9DC0-6ABA48F6515B> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x95c09000 - 0x95c26fff  libxpc.dylib (140.37) <F61095FA-B2CF-3CD8-9088-9D9FC18B38BC> /usr/lib/system/libxpc.dylib
0x95d38000 - 0x95d91ff7  com.apple.AE (645 - 645) <D4919967-EF16-36BA-9E8A-DA110DE8BB4A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x95d92000 - 0x95dfafe7  libvDSP.dylib (380.6) <55780308-4DCA-3B10-9703-EAFC3E13A3FA> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x95dfb000 - 0x95dfbfff  com.apple.Accelerate (1.8 - Accelerate 1.8) <4EC0548E-3A3F-310D-A366-47B51D5B6398> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x95e5d000 - 0x95ed9ffb  libType1Scaler.dylib (101.1) <0D94D786-29F7-33DB-B64B-B264FA5EACD2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libType1Scaler.dylib
0x95eda000 - 0x95eddff7  libcompiler_rt.dylib (30) <CE5DBDB4-0124-3E2B-9105-989DF98DD108> /usr/lib/system/libcompiler_rt.dylib
0x95ede000 - 0x95f23ff7  com.apple.NavigationServices (3.7 - 200) <F6531764-6E43-3AF3-ACDD-8A5551EF016A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x95f24000 - 0x960e0ffd  libicucore.A.dylib (491.11.1) <DB04A8FD-9BBE-3CBC-869F-8FA855FB43D2> /usr/lib/libicucore.A.dylib
0x960ec000 - 0x961c0ff7  com.apple.backup.framework (1.4 - 1.4) <12123FB8-B42D-38B0-8463-6BA375C3C643> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x961c1000 - 0x961caff9  com.apple.CommonAuth (3.0 - 2.0) <A1A6CC3D-AA88-3519-A305-9B5D76C5D63B> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
0x96bda000 - 0x96f92ffa  libLAPACK.dylib (1073.3) <0F813868-D84F-365D-8A7B-67FDA169F19C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x96f93000 - 0x96fd5ff7  com.apple.RemoteViewServices (2.0 - 80.3) <EE36AF6C-E574-3F48-9AC3-E8C8295739FF> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
0x97016000 - 0x97028ff7  libdispatch.dylib (228.18) <833C83BE-278C-353E-AC6D-9B85FAC50A1D> /usr/lib/system/libdispatch.dylib
0x97029000 - 0x9702affd  libunc.dylib (25) <58599CBF-E262-3CEA-AFE1-35560E0177DC> /usr/lib/system/libunc.dylib
0x973be000 - 0x973caffd  com.apple.CrashReporterSupport (10.8 - 411) <62036837-CFEC-37FD-AEB1-040EF573C2B3> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x9741f000 - 0x9741ffff  com.apple.Carbon (154 - 155) <604ADD9D-5835-3294-842E-3A4AEBCCB548> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x97420000 - 0x97426fff  libGFXShared.dylib (8.5) <D2D214E8-A243-3FFD-BA70-D695FF5BD040> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x97427000 - 0x97429ffb  libRadiance.dylib (843) <6C2B92DB-A537-3618-9E68-F006DF427D2F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x9742a000 - 0x974c1fff  com.apple.ink.framework (1.4 - 110) <C01F2572-E7E4-3A6C-B4F2-2F97B4AD43D5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x974c2000 - 0x974e6fff  libJPEG.dylib (843) <04383F74-067F-3E98-882F-21F5B9578984> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x97c31000 - 0x97ce4ff7  com.apple.coreui (2.0 - 181) <4F071012-F857-367D-B0B8-EAD088A05740> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x97ce5000 - 0x97eccffb  com.apple.CoreFoundation (6.8 - 744) <A2BB4949-264A-302B-897E-713860894FE6> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x97ed7000 - 0x982f4ff3  FaceCoreLight (2.0.1) <3EF03B25-C361-31A6-8704-3FBFFBD0E10B> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
0x982f5000 - 0x982f6fff  libremovefile.dylib (23.1) <98622D14-DAAB-3AD8-A5D9-C322BF572A98> /usr/lib/system/libremovefile.dylib
0x982f7000 - 0x983b4ffb  libsystem_c.dylib (825.24) <7D90CAC5-EC98-35F8-A52E-81B54F0C7DCC> /usr/lib/system/libsystem_c.dylib
0x983f8000 - 0x985f8ffb  com.apple.CoreData (106 - 407.5) <B4386286-5C67-3134-A5BD-852447DA696E> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x985f9000 - 0x9861dff2  com.apple.framework.familycontrols (4.0 - 400) <A313D83E-5A03-3174-A213-1F7D379040D1> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
0x989e9000 - 0x98a2bff7  libauto.dylib (185.1) <B2B5B639-6778-352A-828D-FD8B64A3E8B3> /usr/lib/libauto.dylib
0x98aa6000 - 0x98aa7fff  libdnsinfo.dylib (453.16) <6441AEC9-3916-3BF6-BE54-9C25E2BE61E1> /usr/lib/system/libdnsinfo.dylib
0x98aab000 - 0x98ab9ff7  libz.1.dylib (43) <245F1B61-2276-3BBB-9891-99934116D833> /usr/lib/libz.1.dylib
0x98aba000 - 0x98ac4fff  com.apple.speech.recognition.framework (4.1.5 - 4.1.5) <B855E8B4-2EE3-3BFF-8547-98A0F084F9AF> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x98b16000 - 0x98b2cfff  com.apple.CFOpenDirectory (10.8 - 151.10) <56C3F276-BD1F-3031-8CF9-8F4F481A534E> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x98b2d000 - 0x98c68ff7  libBLAS.dylib (1073.3) <804B5AF7-2646-31D1-8875-FCCF158476D4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x98c69000 - 0x98c96ffe  libsystem_m.dylib (3022.6) <9975D9C3-3B71-38E3-AA21-C5C5F9D9C431> /usr/lib/system/libsystem_m.dylib
0x98c97000 - 0x98c9affd  libCoreVMClient.dylib (24.4) <C54E8FD0-61EC-3DC8-8631-54288AC66AC8> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x98ccc000 - 0x98dd7ff7  libJP2.dylib (843) <D8FE1E1C-D4DC-3465-95C4-AEADD6C2611C> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x98dd8000 - 0x98de2fff  libsystem_notify.dylib (98.5) <7EEE9475-18F8-3099-B0ED-23A3E528ABE0> /usr/lib/system/libsystem_notify.dylib
0x98de3000 - 0x98deafff  libsystem_dnssd.dylib (379.27) <4B3700EA-F14D-3994-BAAB-79BBD33D7305> /usr/lib/system/libsystem_dnssd.dylib
0x98deb000 - 0x98f37ffb  com.apple.CFNetwork (596.0.1 - 596.0.1) <0EC65BE8-5775-37C8-B6C7-8BC7CAECB222> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x99051000 - 0x991daff7  com.apple.vImage (6.0 - 6.0) <1D1F67FE-4F75-3689-BEF6-4A46C8039E70> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x99273000 - 0x9936bff2  libsqlite3.dylib (138) <AA00F27E-B72D-31DE-8EE4-985227CC9912> /usr/lib/libsqlite3.dylib
0x99500000 - 0x99500ffd  libOpenScriptingUtil.dylib (148) <6B34E8E4-EE31-3E2B-AEB3-8714C3102AED> /usr/lib/libOpenScriptingUtil.dylib
0x99501000 - 0x99586ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <454E950F-291C-3E95-8F35-05CA0AD6B327> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x99587000 - 0x99589fff  libCVMSPluginSupport.dylib (8.5) <9043B315-4E68-3262-A310-76E64F0409C9> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
0x9999a000 - 0x999f0ff3  com.apple.HIServices (1.20 - 416) <B23E2C58-A6A5-32B6-811C-0F0551E14483> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x99a25000 - 0x99a29fff  com.apple.CommonPanels (1.2.5 - 94) <6B3E7E53-7708-3DA2-8C50-59C2B4735DE1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x99a2a000 - 0x99a38fff  com.apple.opengl (1.8.5 - 1.8.5) <AA14FBC0-8AF3-3CCB-A390-C8F9AE81E1E9> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x99a39000 - 0x99b46ffb  com.apple.ImageIO.framework (3.2.0 - 843) <4BFEFB05-3EE3-36A7-891D-CE03D1DF8125> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x99b47000 - 0x99b4bffc  libGIF.dylib (843) <355B672B-D07D-36FE-B6B9-142406ACFBA2> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x99b4c000 - 0x99b4cfff  libkeymgr.dylib (25) <D5E93F7F-9315-3AD6-92C7-941F7B54C490> /usr/lib/system/libkeymgr.dylib
0x99b4d000 - 0x99baafff  com.apple.audio.CoreAudio (4.1.0 - 4.1.0) <9549B81F-4425-34EE-802B-F462068DC0C5> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x99bab000 - 0x99bb7ffc  libkxld.dylib (2050.7.9) <D2892FF5-C00D-3493-8945-5C36733FE9A3> /usr/lib/system/libkxld.dylib
0x99bb8000 - 0x99c32ff7  com.apple.securityfoundation (6.0 - 55115.4) <A959B2F5-9D9D-3C93-A62A-7399594CF238> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x99c33000 - 0x99c41fff  libxar.1.dylib (105) <343E4A3B-1D04-34A3-94C2-8C7C9A8F736B> /usr/lib/libxar.1.dylib
0x99e1f000 - 0x99f2c15f  libobjc.A.dylib (532) <9663A040-F232-3E2A-8318-AA40B940AF6F> /usr/lib/libobjc.A.dylib
0x99f35000 - 0x9a1b1ff7  com.apple.QuickTime (7.7.1 - 2599) <C1EAA16D-C51E-3A85-B114-6C7DDCEC864C> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x9a1b2000 - 0x9a1bafff  com.apple.DiskArbitration (2.5 - 2.5) <E49427B0-5317-3DFD-B12E-117402BB19CB> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x9a1c2000 - 0x9a1c6ffe  libcache.dylib (57) <834FDCA7-FE3B-33CC-A12A-E11E202477EC> /usr/lib/system/libcache.dylib
0x9a1c7000 - 0x9a2e2ff3  com.apple.desktopservices (1.7.0 - 1.7.0) <62495AB3-8FD5-39D0-A881-07BA77139EAA> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9a2e3000 - 0x9a2e7fff  com.apple.IOSurface (86.0.2 - 86.0.2) <BDF93CE4-9F14-3747-9CD5-FFE71D488BDA> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x9a2e8000 - 0x9a31effb  com.apple.DebugSymbols (98 - 98) <9A9ADA0A-E487-3C8F-9998-286EE04C235A> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x9a321000 - 0x9a322ffd  com.apple.TrustEvaluationAgent (2.0 - 23) <E42347C0-2D3C-36A4-9200-757FFA61B388> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x9a323000 - 0x9a32affb  libunwind.dylib (35.1) <E1E8D8B3-3C78-3AB1-B398-C180DC6DCF05> /usr/lib/system/libunwind.dylib
0x9a32b000 - 0x9a354ff7  libRIP.A.dylib (322) <48626D20-EFD2-3F8C-B458-30514DDD7984> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9a355000 - 0x9a358ff9  libCGXType.A.dylib (322) <2090D588-49DD-3DB6-A296-8E7B0FF1482A> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x9a35d000 - 0x9a3a1fff  libGLU.dylib (8.5) <E4F932FD-A644-354D-8D4E-F337C93AAFC1> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x9a3a2000 - 0x9a3b9fff  com.apple.GenerationalStorage (1.1 - 132.1) <4E0F0C47-7796-3152-A77D-F6456287498A> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
0x9a3bc000 - 0x9a423ff7  com.apple.framework.IOKit (2.0 - 755.9.7) <CB976A7C-2601-3054-BC41-C3AD6896327C> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x9a424000 - 0x9a42effc  com.apple.bsd.ServiceManagement (2.0 - 2.0) <D3112172-D3A7-3C9A-825D-5630D47327D1> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
0x9a42f000 - 0x9a430fff  liblangid.dylib (116) <E13CC8C5-5034-320A-A210-41A2BDE4F846> /usr/lib/liblangid.dylib
0x9a431000 - 0x9a4efff3  com.apple.ColorSync (4.8.0 - 4.8.0) <EFEDCB37-4F20-3CEC-A185-5D2976E11BAC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9a4f0000 - 0x9a4f6fff  com.apple.print.framework.Print (8.0 - 258) <12AEAD24-6924-3923-9E4A-C5D21231E639> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9a4f7000 - 0x9a54eff7  com.apple.ScalableUserInterface (1.0 - 1) <2B5E454B-BC49-3E85-B54D-1950397C448C> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
0x9a54f000 - 0x9a5c4ff7  com.apple.ApplicationServices.ATS (332 - 341) <472F564A-BD46-30C3-92F5-87273A512910> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9a5c5000 - 0x9a613ffb  com.apple.SystemConfiguration (1.12 - 1.12) <F3C87D17-D5F3-39D3-B6F1-1DF3DBECCBDE> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x9a620000 - 0x9a63cff7  libPng.dylib (843) <43C3DD20-4BB2-3429-A40A-7FF9BC50E5FB> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x9a63d000 - 0x9a63dffd  com.apple.audio.units.AudioUnit (1.8 - 1.8) <B688A998-93B5-3D9B-BAE4-E49947AA82B4> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 6
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 4248
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=275.3M resident=210.5M(76%) swapped_out_or_unallocated=64.9M(24%)
Writable regions: Total=168.6M written=44.4M(26%) resident=69.5M(41%) swapped_out=0K(0%) unallocated=99.0M(59%)
 
REGION TYPE                      VIRTUAL
===========                      =======
ATS (font support)                 32.9M
CG backing stores                  7908K
CG image                              8K
CG shared images                   1248K
CoreAnimation                         4K
CoreServices                       3520K
IOKit                                 8K
MALLOC                             83.4M
MALLOC guard page                    48K
Memory tag=240                        4K
Memory tag=242                       12K
Memory tag=35                      7116K
Stack                              67.0M
VM_ALLOCATE                        25.8M
__DATA                             17.6M
__DATA/__OBJC                       152K
__IMAGE                             528K
__IMPORT                            612K
__LINKEDIT                         74.5M
__OBJC                             1764K
__OBJC/__DATA                        64K
__PAGEZERO                            4K
__TEXT                            200.8M
__UNICODE                           544K
mapped file                       328.6M
shared memory                      1680K
===========                      =======
TOTAL                             855.2M

Model: MacBookPro6,2, BootROM MBP61.0057.B0F, 2 processors, Intel Core i5, 2.4 GHz, 8 GB, SMC 1.58f16
Graphics: Intel HD Graphics, Intel HD Graphics, Built-In, 288 MB
Graphics: NVIDIA GeForce GT 330M, NVIDIA GeForce GT 330M, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1067 MHz, 0x80AD, 0x484D54333531533642465238432D47372020
Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1067 MHz, 0x80AD, 0x484D54333531533642465238432D47372020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), Broadcom BCM43xx 1.0 (5.106.98.81.20)
Bluetooth: Version 4.0.9f8 10405, 2 service, 11 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Serial ATA Device: WDC WD7500BPKT-60PK4T0, 750.16 GB
Serial ATA Device: M4-CT512M4SSD2, 512.11 GB
USB Device: hub_device, 0x0424  (SMSC), 0x2514, 0xfa100000 / 2
USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0236, 0xfa120000 / 5
USB Device: Internal Memory Card Reader, apple_vendor_id, 0x8403, 0xfa130000 / 4
USB Device: BRCM2070 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0xfa110000 / 3
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x8218, 0xfa113000 / 8
USB Device: hub_device, 0x0424  (SMSC), 0x2514, 0xfd100000 / 2
USB Device: USB Receiver, 0x046d  (Logitech Inc.), 0xc526, 0xfd130000 / 5
USB Device: Built-in iSight, apple_vendor_id, 0x8507, 0xfd110000 / 4
USB Device: IR Receiver, apple_vendor_id, 0x8242, 0xfd120000 / 3
Comment 5 Dan Essin 2012-08-11 20:44:24 UTC
Does not crash on Windows, just Mac
Comment 6 Julien Nabet 2012-08-12 07:10:12 UTC
(In reply to comment #5)
> Does not crash on Windows, just Mac

I still don't reproduce it on pc Debian x86-64 with 3.6 branch updated 3 days ago.
Could you take a look at this page https://bugs.freedesktop.org/show_bug.cgi?id=47368 to see if it could be linked to accessibility ?
(by taking a quick look to your stacktrace, it doesn't seem so but...).

BTW, it's more practical to put stacktrace on a file attached rather than a lenghty comment as you did first time.
Comment 7 Dan Essin 2012-08-12 09:18:23 UTC
Created attachment 65455 [details]
Accessibility question

Up til now I have never changed an accessibility setting either on the OS or LO. I went into the prefs in LO and unchecked everything in the Accessibility section. It still crashes.

As I mentioned the Windows build does not exhibit this problem and it does not surprise me that the Debian build does not either, but Debian wouldn't be of much use on this Mac. 

I do have a Debian VM on the Mac and I just installed LO. That version does not crash.

It's only the Mac build that has the problem.
Comment 8 Julien Nabet 2012-08-12 09:30:34 UTC
Thank you a lot for your quick and detailed feedback, I put it back to UNCONFIRMED status since I don't have anymore question (except perhaps your Java version even if I don't think it's linked to this).

Does anybody else could confirm this bug on MacOs?
It would be interesting too to know if it concerns Lion Mountain only (since comment 4 shows "Mac OS X 10.8")
Comment 9 Dan Essin 2012-08-12 19:08:03 UTC
The java version on Mac is java version "1.6.0_33"

I have tested this on a MacBook Pro with Mountain Lion and a MacBook Air with Lion. The described operation causes the same crash on both systems.
Comment 10 Markus Mohrhard 2012-08-14 00:07:38 UTC
Looks like one for me. It is most likely not only a mac problem, the other systems are just a bit more grateful in this case.

I suspect this is another case of a memory problem around broadcasters that are related to the complicated lifetime of cell broadcasters in sc.

And sc issues are never related to the java version!
Comment 11 Markus Mohrhard 2012-08-14 00:08:35 UTC
Oh and please never mark a bug as blocker even if it is a crash.
Comment 12 Roman Eisele 2012-08-19 08:23:32 UTC
Created attachment 65762 [details]
Crash log for bug 53364, LibO 3.6.1.1 on MacOS X 10.6.8 (Intel)

REPRODUCIBLE with LibreOffice 3.6.1.1 (Build ID: 4db6344), German langpack installed, but US English UI, on MacOS X 10.6.8 (Intel).

Just opening the file, selecting the block indicated on the screenshot (attachment 65444 [details]) and trying to drag the block to the bottom left crashes LibreOffice. The log file created by MacOS X for the crash (see attachment) is mostly identical to Dan Essin’s one (crash in SvtListenerIter::GoStart() + 38).
Comment 13 Roman Eisele 2012-08-19 08:24:28 UTC
Changed Status according to comment #12.
Comment 14 Roman Eisele 2012-08-21 09:09:30 UTC
Hint: Very similar crash log, therefore probably a related (or identical) problem: bug 53710.
Comment 15 Roman Eisele 2012-08-21 09:11:37 UTC
NOT reproducible with LibreOffice 3.5.6.2 (Build-ID: e0fbe70-dcba98b-297ab39-994e618-0f858f0) on MacOS X 10.6.8 (Intel), therefore new in 3.6.x, therefore added keyword "regression".
Comment 16 Noel Power 2012-08-28 11:05:58 UTC
I'm going to take a look at this, I don't believe this is mac specific at all
Comment 17 Noel Power 2012-08-28 15:14:40 UTC
(In reply to comment #16)
> I'm going to take a look at this, I don't believe this is mac specific at all

I reproduced this in linux, not crashing but vagrind shows a double delete problem

==32103== Thread 6:
==32103== Invalid read of size 8
==32103==    at 0x78DF0C6: SvtBroadcaster::HasListeners() const (broadcast.hxx:61)
==32103==    by 0x78DEFF2: SvtBroadcaster::Broadcast(SfxHint const&) (broadcast.cxx:88)
==32103==    by 0x219083CB: ScDocument::Broadcast(ScHint const&) (documen7.cxx:103)
==32103==    by 0x218A9C32: ScColumn::DeleteRange(unsigned long, unsigned long, unsigned short) (column3.cxx:515)
==32103==    by 0x218A9EE1: ScColumn::DeleteArea(int, int, unsigned short) (column3.cxx:556)
==32103==    by 0x21A4409D: ScTable::DeleteArea(short, int, short, int, unsigned short) (table2.cxx:526)
==32103==    by 0x2191AF8B: ScDocument::DeleteAreaTab(short, int, short, int, short, unsigned short) (document.cxx:1659)
==32103==    by 0x21DADD69: ScDocFunc::MoveBlock(ScRange const&, ScAddress const&, unsigned char, unsigned char, unsigned char, unsigned char) (docfunc.cxx:2431)
==32103==    by 0x221672CF: ScViewFunc::MoveBlockTo(ScRange const&, ScAddress const&, unsigned char, unsigned char, unsigned char, unsigned char) (viewfun3.cxx:1930)
==32103==    by 0x2208194A: ScGridWindow::DropTransferObj(ScTransferObj*, short, int, Point const&, signed char) (gridwin.cxx:4157)
==32103==    by 0x22081085: ScGridWindow::ExecutePrivateDrop(ExecuteDropEvent const&) (gridwin.cxx:4005)
==32103==    by 0x220827FD: ScGridWindow::ExecuteDrop(ExecuteDropEvent const&) (gridwin.cxx:4363)

==32103==  Address 0xf8db368 is 8 bytes inside a block of size 16 free'd
==32103==    at 0x4C2562E: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==32103==    by 0x78DEFD3: SvtBroadcaster::~SvtBroadcaster() (broadcast.cxx:79)
==32103==    by 0x2187E520: ScBaseCell::DeleteBroadcaster() (cell.cxx:288)
==32103==    by 0x218A74E4: ScColumn::EndListening(SvtListener&, int) (column2.cxx:1539)
==32103==    by 0x21A68081: ScTable::EndListening(ScAddress const&, SvtListener*) (table5.cxx:1111)
==32103==    by 0x21908C16: ScDocument::EndListeningCell(ScAddress const&, SvtListener*) (documen7.cxx:225)
==32103==    by 0x2187ECB9: ScBaseCell::EndListeningTo(ScDocument*, ScTokenArray*, ScAddress) (cell.cxx:421)
==32103==    by 0x218A9AA1: ScColumn::DeleteRange(unsigned long, unsigned long, unsigned short) (column3.cxx:499)
==32103==    by 0x218A9EE1: ScColumn::DeleteArea(int, int, unsigned short) (column3.cxx:556)
==32103==    by 0x21A4409D: ScTable::DeleteArea(short, int, short, int, unsigned short) (table2.cxx:526)
==32103==    by 0x2191AF8B: ScDocument::DeleteAreaTab(short, int, short, int, short, unsigned short) (document.cxx:1659)
==32103==    by 0x21DADD69: ScDocFunc::MoveBlock(ScRange const&, ScAddress const&, unsigned char, unsigned char, unsigned char, unsigned char) (docfunc.cxx:2431)
==32103== 

anyway I was looking in ScColumn::DeleteRange when Markus pinged me and said he thinks that a fix he is working on for a different bug will fix this. I am reassigning to him
Comment 18 Noel Power 2012-08-28 15:58:02 UTC
*** Bug 53710 has been marked as a duplicate of this bug. ***
Comment 19 Markus Mohrhard 2012-08-28 16:53:25 UTC
Ok, I think I fixed it.

Problem was the double delete of Broadcasters in formula cells which have listeners. They were part of the temporary ScNoteCell and of the ScFormulaCell and therefore deleted twice.
Comment 20 Roman Eisele 2012-09-09 08:39:27 UTC
For the record:

This bug was fixed with commit
http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-6&id=cedaa445535e9337294a46cb75c4850294e4f715

That fix will appear in LibreOffice 3.6.2 (and 3.7.0, of course).

Added missing Whiteboard information, to allow queries for this bug and fix.
Comment 21 Roman Eisele 2012-09-09 08:49:56 UTC
*** Bug 54674 has been marked as a duplicate of this bug. ***
Comment 22 Roman Eisele 2012-09-09 08:59:07 UTC
*** Bug 54378 has been marked as a duplicate of this bug. ***
Comment 23 Roman Eisele 2012-09-09 09:03:06 UTC
*** Bug 54663 has been marked as a duplicate of this bug. ***